Name:          camlp4
Version:       4.09
Release:       1mamba
Summary:       A software system for writing extensible parsers for programming languages
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ocaml/camlp4
## GITSOURCE https://github.com/ocaml/camlp4.git 4.07
Source:        https://github.com/ocaml/camlp4.git/%{version}/camlp4-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ocaml
BuildRequires: ocamlbuild
Provides:      ocaml-camlp4
Obsoletes:     ocaml-camlp4
Provides:      ocaml-camlp4-devel
Obsoletes:     ocaml-camlp4-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A software system for writing extensible parsers for programming languages.

%prep
%setup -q

%build
./configure \
   --bindir=%{_bindir} \
   --libdir=%{_libdir} \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/camlp4
%{_bindir}/camlp4boot
%{_bindir}/camlp4o
%{_bindir}/camlp4of
%{_bindir}/camlp4oof
%{_bindir}/camlp4orf
%{_bindir}/camlp4prof
%{_bindir}/camlp4r
%{_bindir}/camlp4rf
%{_bindir}/mkcamlp4
%dir %{_libdir}/camlp4
%{_libdir}/camlp4/*
%doc LICENSE

%changelog
* Tue May 19 2020 Automatic Build System <autodist@mambasoft.it> 4.09-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.07-1mamba
- package created using the webbuild interface
